> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create ExposureCalculation

> Calculates exposure from an assignment table.
 



## OpenAPI

````yaml /api/metrics/api/exposure-calculation.openapi.json post /v1/exposureCalculations
openapi: 3.1.0
info:
  title: Confidence Exposure-calculation API
  version: 1.0.0
  description: API documentation for exposure-calculation
servers: []
security: []
paths:
  /v1/exposureCalculations:
    post:
      summary: Create ExposureCalculation
      description: |-
        Calculates exposure from an assignment table.
         
      operationId: ExposureCalculation.create
      parameters:
        - name: exposureCalculationId
          in: query
          required: false
          description: >-
            The id to the give the created exposure calculation. If a not set a
            random one will be generated.
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                exposureCalculationSpec:
                  type: object
                  properties:
                    assignmentTable:
                      type: string
                      description: >-
                        Resource name of the assignment table to base exposures
                        on.
                    assignmentFilter:
                      type: object
                      properties:
                        criteria:
                          type: array
                          items:
                            type: object
                            additionalProperties:
                              type: object
                              properties:
                                attribute:
                                  type: object
                                  properties:
                                    attribute:
                                      type: string
                                      description: The name of the attribute
                                    eqRule:
                                      type: object
                                      properties:
                                        value:
                                          type: object
                                          properties:
                                            boolValue:
                                              type: boolean
                                            numberValue:
                                              type: number
                                            stringValue:
                                              type: string
                                            timestampValue:
                                              type: object
                                            nullValue:
                                              type: object
                                              properties:
                                                dummyField:
                                                  type: string
                                                  description: Dummy field to make the type not empty
                                          description: >-
                                            equality (==, !=, ∈) defined for all
                                            types
                                             comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                             
                                      required:
                                        - value
                                      description: The value must be equal to the criterion
                                    setRule:
                                      type: object
                                      properties:
                                        values:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              boolValue:
                                                type: boolean
                                              numberValue:
                                                type: number
                                              stringValue:
                                                type: string
                                              timestampValue:
                                                type: object
                                              nullValue:
                                                type: object
                                                properties:
                                                  dummyField:
                                                    type: string
                                                    description: Dummy field to make the type not empty
                                          description: >-
                                            equality (==, !=, ∈) defined for all
                                            types
                                             comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                             
                                      required:
                                        - values
                                      description: The value must be in the set of values
                                    rangeRule:
                                      type: object
                                      properties:
                                        startInclusive:
                                          type: object
                                          properties:
                                            boolValue:
                                              type: boolean
                                            numberValue:
                                              type: number
                                            stringValue:
                                              type: string
                                            timestampValue:
                                              type: object
                                            nullValue:
                                              type: object
                                              properties:
                                                dummyField:
                                                  type: string
                                                  description: Dummy field to make the type not empty
                                          description: >-
                                            equality (==, !=, ∈) defined for all
                                            types
                                             comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                             
                                        startExclusive:
                                          type: object
                                          properties:
                                            boolValue:
                                              type: boolean
                                            numberValue:
                                              type: number
                                            stringValue:
                                              type: string
                                            timestampValue:
                                              type: object
                                            nullValue:
                                              type: object
                                              properties:
                                                dummyField:
                                                  type: string
                                                  description: Dummy field to make the type not empty
                                          description: >-
                                            equality (==, !=, ∈) defined for all
                                            types
                                             comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                             
                                        endInclusive:
                                          type: object
                                          properties:
                                            boolValue:
                                              type: boolean
                                            numberValue:
                                              type: number
                                            stringValue:
                                              type: string
                                            timestampValue:
                                              type: object
                                            nullValue:
                                              type: object
                                              properties:
                                                dummyField:
                                                  type: string
                                                  description: Dummy field to make the type not empty
                                          description: >-
                                            equality (==, !=, ∈) defined for all
                                            types
                                             comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                             
                                        endExclusive:
                                          type: object
                                          properties:
                                            boolValue:
                                              type: boolean
                                            numberValue:
                                              type: number
                                            stringValue:
                                              type: string
                                            timestampValue:
                                              type: object
                                            nullValue:
                                              type: object
                                              properties:
                                                dummyField:
                                                  type: string
                                                  description: Dummy field to make the type not empty
                                          description: >-
                                            equality (==, !=, ∈) defined for all
                                            types
                                             comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                             
                                      description: The value must be in the range
                                  required:
                                    - attribute
                                  description: >-
                                    A criterion for an attribute (typically a
                                    table column)
                          description: The filter criteria
                        expression:
                          type: object
                          properties:
                            ref:
                              type: string
                            not:
                              type: object
                              description: >-
                                A boolean expression with leaf nodes that
                                reference criteria elements
                                 
                            and:
                              type: object
                              properties:
                                operands:
                                  type: array
                                  items:
                                    type: object
                                  description: >-
                                    A boolean expression with leaf nodes that
                                    reference criteria elements
                                     
                              required:
                                - operands
                            or:
                              type: object
                              properties:
                                operands:
                                  type: array
                                  items:
                                    type: object
                                  description: >-
                                    A boolean expression with leaf nodes that
                                    reference criteria elements
                                     
                              required:
                                - operands
                          description: The filter expressions
                      required:
                        - criteria
                        - expression
                      description: >-
                        Dimensions in the assignment filter to filter the
                        calculation on
                    exposureKey:
                      type: string
                      description: Column name that contains the variant.
                    groups:
                      type: array
                      items:
                        type: object
                        properties:
                          group:
                            type: string
                            description: Name to map the variant to.
                          variantKey:
                            type: string
                            description: Name of the variant to map.
                        required:
                          - group
                          - variantKey
                      description: >-
                        Mapping between variant and a user-defined group. If no
                        groups are given, a single group called
                         "NO_GROUP" will be returned.
                    splitDimensions:
                      type: array
                      items:
                        type: string
                      description: Dimensions to split the results on.
                    exposureFilter:
                      type: object
                      properties:
                        factTable:
                          type: string
                          description: Resource name of a fact table.
                        filter:
                          type: object
                          properties:
                            criteria:
                              type: array
                              items:
                                type: object
                                additionalProperties:
                                  type: object
                                  properties:
                                    attribute:
                                      type: object
                                      properties:
                                        attribute:
                                          type: string
                                          description: The name of the attribute
                                        eqRule:
                                          type: object
                                          properties:
                                            value:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                nullValue:
                                                  type: object
                                                  properties:
                                                    dummyField:
                                                      type: string
                                                      description: Dummy field to make the type not empty
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                 
                                          required:
                                            - value
                                          description: The value must be equal to the criterion
                                        setRule:
                                          type: object
                                          properties:
                                            values:
                                              type: array
                                              items:
                                                type: object
                                                properties:
                                                  boolValue:
                                                    type: boolean
                                                  numberValue:
                                                    type: number
                                                  stringValue:
                                                    type: string
                                                  timestampValue:
                                                    type: object
                                                  nullValue:
                                                    type: object
                                                    properties:
                                                      dummyField:
                                                        type: string
                                                        description: Dummy field to make the type not empty
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                 
                                          required:
                                            - values
                                          description: The value must be in the set of values
                                        rangeRule:
                                          type: object
                                          properties:
                                            startInclusive:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                nullValue:
                                                  type: object
                                                  properties:
                                                    dummyField:
                                                      type: string
                                                      description: Dummy field to make the type not empty
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                 
                                            startExclusive:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                nullValue:
                                                  type: object
                                                  properties:
                                                    dummyField:
                                                      type: string
                                                      description: Dummy field to make the type not empty
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                 
                                            endInclusive:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                nullValue:
                                                  type: object
                                                  properties:
                                                    dummyField:
                                                      type: string
                                                      description: Dummy field to make the type not empty
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                 
                                            endExclusive:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                nullValue:
                                                  type: object
                                                  properties:
                                                    dummyField:
                                                      type: string
                                                      description: Dummy field to make the type not empty
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                 
                                          description: The value must be in the range
                                      required:
                                        - attribute
                                      description: >-
                                        A criterion for an attribute (typically
                                        a table column)
                              description: The filter criteria
                            expression:
                              type: object
                              properties:
                                ref:
                                  type: string
                                not:
                                  type: object
                                  description: >-
                                    A boolean expression with leaf nodes that
                                    reference criteria elements
                                     
                                and:
                                  type: object
                                  properties:
                                    operands:
                                      type: array
                                      items:
                                        type: object
                                      description: >-
                                        A boolean expression with leaf nodes
                                        that reference criteria elements
                                         
                                  required:
                                    - operands
                                or:
                                  type: object
                                  properties:
                                    operands:
                                      type: array
                                      items:
                                        type: object
                                      description: >-
                                        A boolean expression with leaf nodes
                                        that reference criteria elements
                                         
                                  required:
                                    - operands
                              description: The filter expressions
                          required:
                            - criteria
                            - expression
                          description: >-
                            A filter to apply to the fact table used for
                            exposure filtering
                        displayName:
                          type: string
                          description: >-
                            Readable name for the filter, used when viewing the
                            results. If not set
                             filters will be named filter-1, filter-2 etc according to the order they
                             are configured.
                      required:
                        - factTable
                      description: >-
                        A filter to used to narrow down exposures also called
                        custom exposure. Deprecated and replaced by
                         `filters`.
                    filters:
                      type: array
                      items:
                        type: object
                        properties:
                          factTable:
                            type: string
                            description: Resource name of a fact table.
                          filter:
                            type: object
                            properties:
                              criteria:
                                type: array
                                items:
                                  type: object
                                  additionalProperties:
                                    type: object
                                    properties:
                                      attribute:
                                        type: object
                                        properties:
                                          attribute:
                                            type: string
                                            description: The name of the attribute
                                          eqRule:
                                            type: object
                                            properties:
                                              value:
                                                type: object
                                                properties:
                                                  boolValue:
                                                    type: boolean
                                                  numberValue:
                                                    type: number
                                                  stringValue:
                                                    type: string
                                                  timestampValue:
                                                    type: object
                                                  nullValue:
                                                    type: object
                                                    properties:
                                                      dummyField:
                                                        type: string
                                                        description: Dummy field to make the type not empty
                                                description: >-
                                                  equality (==, !=, ∈) defined for all
                                                  types
                                                   comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                   
                                            required:
                                              - value
                                            description: The value must be equal to the criterion
                                          setRule:
                                            type: object
                                            properties:
                                              values:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    boolValue:
                                                      type: boolean
                                                    numberValue:
                                                      type: number
                                                    stringValue:
                                                      type: string
                                                    timestampValue:
                                                      type: object
                                                    nullValue:
                                                      type: object
                                                      properties:
                                                        dummyField:
                                                          type: string
                                                          description: Dummy field to make the type not empty
                                                description: >-
                                                  equality (==, !=, ∈) defined for all
                                                  types
                                                   comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                   
                                            required:
                                              - values
                                            description: The value must be in the set of values
                                          rangeRule:
                                            type: object
                                            properties:
                                              startInclusive:
                                                type: object
                                                properties:
                                                  boolValue:
                                                    type: boolean
                                                  numberValue:
                                                    type: number
                                                  stringValue:
                                                    type: string
                                                  timestampValue:
                                                    type: object
                                                  nullValue:
                                                    type: object
                                                    properties:
                                                      dummyField:
                                                        type: string
                                                        description: Dummy field to make the type not empty
                                                description: >-
                                                  equality (==, !=, ∈) defined for all
                                                  types
                                                   comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                   
                                              startExclusive:
                                                type: object
                                                properties:
                                                  boolValue:
                                                    type: boolean
                                                  numberValue:
                                                    type: number
                                                  stringValue:
                                                    type: string
                                                  timestampValue:
                                                    type: object
                                                  nullValue:
                                                    type: object
                                                    properties:
                                                      dummyField:
                                                        type: string
                                                        description: Dummy field to make the type not empty
                                                description: >-
                                                  equality (==, !=, ∈) defined for all
                                                  types
                                                   comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                   
                                              endInclusive:
                                                type: object
                                                properties:
                                                  boolValue:
                                                    type: boolean
                                                  numberValue:
                                                    type: number
                                                  stringValue:
                                                    type: string
                                                  timestampValue:
                                                    type: object
                                                  nullValue:
                                                    type: object
                                                    properties:
                                                      dummyField:
                                                        type: string
                                                        description: Dummy field to make the type not empty
                                                description: >-
                                                  equality (==, !=, ∈) defined for all
                                                  types
                                                   comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                   
                                              endExclusive:
                                                type: object
                                                properties:
                                                  boolValue:
                                                    type: boolean
                                                  numberValue:
                                                    type: number
                                                  stringValue:
                                                    type: string
                                                  timestampValue:
                                                    type: object
                                                  nullValue:
                                                    type: object
                                                    properties:
                                                      dummyField:
                                                        type: string
                                                        description: Dummy field to make the type not empty
                                                description: >-
                                                  equality (==, !=, ∈) defined for all
                                                  types
                                                   comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                   
                                            description: The value must be in the range
                                        required:
                                          - attribute
                                        description: >-
                                          A criterion for an attribute (typically
                                          a table column)
                                description: The filter criteria
                              expression:
                                type: object
                                properties:
                                  ref:
                                    type: string
                                  not:
                                    type: object
                                    description: >-
                                      A boolean expression with leaf nodes that
                                      reference criteria elements
                                       
                                  and:
                                    type: object
                                    properties:
                                      operands:
                                        type: array
                                        items:
                                          type: object
                                        description: >-
                                          A boolean expression with leaf nodes
                                          that reference criteria elements
                                           
                                    required:
                                      - operands
                                  or:
                                    type: object
                                    properties:
                                      operands:
                                        type: array
                                        items:
                                          type: object
                                        description: >-
                                          A boolean expression with leaf nodes
                                          that reference criteria elements
                                           
                                    required:
                                      - operands
                                description: The filter expressions
                            required:
                              - criteria
                              - expression
                            description: >-
                              A filter to apply to the fact table used for
                              exposure filtering
                          displayName:
                            type: string
                            description: >-
                              Readable name for the filter, used when viewing
                              the results. If not set
                               filters will be named filter-1, filter-2 etc according to the order they
                               are configured.
                        required:
                          - factTable
                      description: >-
                        A list of exposure filters to use. If set, the exposure
                        will be calculated for each filter.
                    entityFilter:
                      type: object
                      properties:
                        dimensionTable:
                          type: string
                          description: Resource name of a dimension table
                        filter:
                          type: object
                          properties:
                            criteria:
                              type: array
                              items:
                                type: object
                                additionalProperties:
                                  type: object
                                  properties:
                                    attribute:
                                      type: object
                                      properties:
                                        attribute:
                                          type: string
                                          description: The name of the attribute
                                        eqRule:
                                          type: object
                                          properties:
                                            value:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                nullValue:
                                                  type: object
                                                  properties:
                                                    dummyField:
                                                      type: string
                                                      description: Dummy field to make the type not empty
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                 
                                          required:
                                            - value
                                          description: The value must be equal to the criterion
                                        setRule:
                                          type: object
                                          properties:
                                            values:
                                              type: array
                                              items:
                                                type: object
                                                properties:
                                                  boolValue:
                                                    type: boolean
                                                  numberValue:
                                                    type: number
                                                  stringValue:
                                                    type: string
                                                  timestampValue:
                                                    type: object
                                                  nullValue:
                                                    type: object
                                                    properties:
                                                      dummyField:
                                                        type: string
                                                        description: Dummy field to make the type not empty
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                 
                                          required:
                                            - values
                                          description: The value must be in the set of values
                                        rangeRule:
                                          type: object
                                          properties:
                                            startInclusive:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                nullValue:
                                                  type: object
                                                  properties:
                                                    dummyField:
                                                      type: string
                                                      description: Dummy field to make the type not empty
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                 
                                            startExclusive:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                nullValue:
                                                  type: object
                                                  properties:
                                                    dummyField:
                                                      type: string
                                                      description: Dummy field to make the type not empty
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                 
                                            endInclusive:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                nullValue:
                                                  type: object
                                                  properties:
                                                    dummyField:
                                                      type: string
                                                      description: Dummy field to make the type not empty
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                 
                                            endExclusive:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                nullValue:
                                                  type: object
                                                  properties:
                                                    dummyField:
                                                      type: string
                                                      description: Dummy field to make the type not empty
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                 
                                          description: The value must be in the range
                                      required:
                                        - attribute
                                      description: >-
                                        A criterion for an attribute (typically
                                        a table column)
                              description: The filter criteria
                            expression:
                              type: object
                              properties:
                                ref:
                                  type: string
                                not:
                                  type: object
                                  description: >-
                                    A boolean expression with leaf nodes that
                                    reference criteria elements
                                     
                                and:
                                  type: object
                                  properties:
                                    operands:
                                      type: array
                                      items:
                                        type: object
                                      description: >-
                                        A boolean expression with leaf nodes
                                        that reference criteria elements
                                         
                                  required:
                                    - operands
                                or:
                                  type: object
                                  properties:
                                    operands:
                                      type: array
                                      items:
                                        type: object
                                      description: >-
                                        A boolean expression with leaf nodes
                                        that reference criteria elements
                                         
                                  required:
                                    - operands
                              description: The filter expressions
                          required:
                            - criteria
                            - expression
                          description: >-
                            A filter to apply to the entity table used for
                            entity filtering
                      required:
                        - dimensionTable
                      description: >-
                        A filter based on entity-level dimensions. Deprecated
                        and replaced by `entity_filters`.
                    entityFilters:
                      type: array
                      items:
                        type: object
                        properties:
                          dimensionTable:
                            type: string
                            description: Resource name of a dimension table
                          filter:
                            type: object
                            properties:
                              criteria:
                                type: array
                                items:
                                  type: object
                                  additionalProperties:
                                    type: object
                                    properties:
                                      attribute:
                                        type: object
                                        properties:
                                          attribute:
                                            type: string
                                            description: The name of the attribute
                                          eqRule:
                                            type: object
                                            properties:
                                              value:
                                                type: object
                                                properties:
                                                  boolValue:
                                                    type: boolean
                                                  numberValue:
                                                    type: number
                                                  stringValue:
                                                    type: string
                                                  timestampValue:
                                                    type: object
                                                  nullValue:
                                                    type: object
                                                    properties:
                                                      dummyField:
                                                        type: string
                                                        description: Dummy field to make the type not empty
                                                description: >-
                                                  equality (==, !=, ∈) defined for all
                                                  types
                                                   comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                   
                                            required:
                                              - value
                                            description: The value must be equal to the criterion
                                          setRule:
                                            type: object
                                            properties:
                                              values:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    boolValue:
                                                      type: boolean
                                                    numberValue:
                                                      type: number
                                                    stringValue:
                                                      type: string
                                                    timestampValue:
                                                      type: object
                                                    nullValue:
                                                      type: object
                                                      properties:
                                                        dummyField:
                                                          type: string
                                                          description: Dummy field to make the type not empty
                                                description: >-
                                                  equality (==, !=, ∈) defined for all
                                                  types
                                                   comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                   
                                            required:
                                              - values
                                            description: The value must be in the set of values
                                          rangeRule:
                                            type: object
                                            properties:
                                              startInclusive:
                                                type: object
                                                properties:
                                                  boolValue:
                                                    type: boolean
                                                  numberValue:
                                                    type: number
                                                  stringValue:
                                                    type: string
                                                  timestampValue:
                                                    type: object
                                                  nullValue:
                                                    type: object
                                                    properties:
                                                      dummyField:
                                                        type: string
                                                        description: Dummy field to make the type not empty
                                                description: >-
                                                  equality (==, !=, ∈) defined for all
                                                  types
                                                   comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                   
                                              startExclusive:
                                                type: object
                                                properties:
                                                  boolValue:
                                                    type: boolean
                                                  numberValue:
                                                    type: number
                                                  stringValue:
                                                    type: string
                                                  timestampValue:
                                                    type: object
                                                  nullValue:
                                                    type: object
                                                    properties:
                                                      dummyField:
                                                        type: string
                                                        description: Dummy field to make the type not empty
                                                description: >-
                                                  equality (==, !=, ∈) defined for all
                                                  types
                                                   comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                   
                                              endInclusive:
                                                type: object
                                                properties:
                                                  boolValue:
                                                    type: boolean
                                                  numberValue:
                                                    type: number
                                                  stringValue:
                                                    type: string
                                                  timestampValue:
                                                    type: object
                                                  nullValue:
                                                    type: object
                                                    properties:
                                                      dummyField:
                                                        type: string
                                                        description: Dummy field to make the type not empty
                                                description: >-
                                                  equality (==, !=, ∈) defined for all
                                                  types
                                                   comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                   
                                              endExclusive:
                                                type: object
                                                properties:
                                                  boolValue:
                                                    type: boolean
                                                  numberValue:
                                                    type: number
                                                  stringValue:
                                                    type: string
                                                  timestampValue:
                                                    type: object
                                                  nullValue:
                                                    type: object
                                                    properties:
                                                      dummyField:
                                                        type: string
                                                        description: Dummy field to make the type not empty
                                                description: >-
                                                  equality (==, !=, ∈) defined for all
                                                  types
                                                   comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                   
                                            description: The value must be in the range
                                        required:
                                          - attribute
                                        description: >-
                                          A criterion for an attribute (typically
                                          a table column)
                                description: The filter criteria
                              expression:
                                type: object
                                properties:
                                  ref:
                                    type: string
                                  not:
                                    type: object
                                    description: >-
                                      A boolean expression with leaf nodes that
                                      reference criteria elements
                                       
                                  and:
                                    type: object
                                    properties:
                                      operands:
                                        type: array
                                        items:
                                          type: object
                                        description: >-
                                          A boolean expression with leaf nodes
                                          that reference criteria elements
                                           
                                    required:
                                      - operands
                                  or:
                                    type: object
                                    properties:
                                      operands:
                                        type: array
                                        items:
                                          type: object
                                        description: >-
                                          A boolean expression with leaf nodes
                                          that reference criteria elements
                                           
                                    required:
                                      - operands
                                description: The filter expressions
                            required:
                              - criteria
                              - expression
                            description: >-
                              A filter to apply to the entity table used for
                              entity filtering
                        required:
                          - dimensionTable
                      description: >-
                        A list of entity filters based on entity-level
                        dimensions. Each filter references a different
                         dimension table. An entity must match ALL filters (AND semantics).
                  required:
                    - assignmentTable
                  description: The exposure table to calculate.
                startTime:
                  type: object
                  description: Start time of the calculation.
                endTime:
                  type: object
                  description: End time of the calculation.
                entity:
                  type: string
                  description: Resource name of the entity that is being exposed.
                labels:
                  type: array
                  items:
                    type: object
                    additionalProperties:
                      type: string
                  description: Custom labels for this exposure calculation.
                owner:
                  type: string
                  description: >-
                    The owner of the resource. If not set will default to the
                    creator.
              required:
                - exposureCalculationSpec
                - startTime
                - endTime
                - entity
        required: true
      responses:
        '200':
          description: >-
            Returns a
            [ExposureCalculation](/api-reference/schemas/exposurecalculation).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/confidence.metrics.v1.ExposureCalculation'
      security:
        - admin: []
      servers:
        - url: https://metrics.eu.confidence.dev
        - url: https://metrics.us.confidence.dev
        - url: https://metrics.confidence.dev
components:
  schemas:
    confidence.metrics.v1.ExposureCalculation:
      title: ExposureCalculation
      type: object
      description: >-
        Represents the calculation of an a exposure table for a specific time
        window
         from an assignment table.
      properties:
        name:
          type: string
          description: |-
            Unique identifier of the exposure calculation.
             For example: `exposureCalculations/0smva5nxuhv4yts6paxt`
        exposureCalculationSpec:
          type: object
          properties:
            assignmentTable:
              type: string
              description: Resource name of the assignment table to base exposures on.
            assignmentFilter:
              type: object
              properties:
                criteria:
                  type: array
                  items:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        attribute:
                          type: object
                          properties:
                            attribute:
                              type: string
                              description: The name of the attribute
                            eqRule:
                              type: object
                              properties:
                                value:
                                  type: object
                                  properties:
                                    boolValue:
                                      type: boolean
                                    numberValue:
                                      type: number
                                    stringValue:
                                      type: string
                                    timestampValue:
                                      type: object
                                    nullValue:
                                      type: object
                                      properties:
                                        dummyField:
                                          type: string
                                          description: Dummy field to make the type not empty
                                  description: |-
                                    equality (==, !=, ∈) defined for all types
                                     comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                     
                              required:
                                - value
                              description: The value must be equal to the criterion
                            setRule:
                              type: object
                              properties:
                                values:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      boolValue:
                                        type: boolean
                                      numberValue:
                                        type: number
                                      stringValue:
                                        type: string
                                      timestampValue:
                                        type: object
                                      nullValue:
                                        type: object
                                        properties:
                                          dummyField:
                                            type: string
                                            description: Dummy field to make the type not empty
                                  description: |-
                                    equality (==, !=, ∈) defined for all types
                                     comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                     
                              required:
                                - values
                              description: The value must be in the set of values
                            rangeRule:
                              type: object
                              properties:
                                startInclusive:
                                  type: object
                                  properties:
                                    boolValue:
                                      type: boolean
                                    numberValue:
                                      type: number
                                    stringValue:
                                      type: string
                                    timestampValue:
                                      type: object
                                    nullValue:
                                      type: object
                                      properties:
                                        dummyField:
                                          type: string
                                          description: Dummy field to make the type not empty
                                  description: |-
                                    equality (==, !=, ∈) defined for all types
                                     comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                     
                                startExclusive:
                                  type: object
                                  properties:
                                    boolValue:
                                      type: boolean
                                    numberValue:
                                      type: number
                                    stringValue:
                                      type: string
                                    timestampValue:
                                      type: object
                                    nullValue:
                                      type: object
                                      properties:
                                        dummyField:
                                          type: string
                                          description: Dummy field to make the type not empty
                                  description: |-
                                    equality (==, !=, ∈) defined for all types
                                     comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                     
                                endInclusive:
                                  type: object
                                  properties:
                                    boolValue:
                                      type: boolean
                                    numberValue:
                                      type: number
                                    stringValue:
                                      type: string
                                    timestampValue:
                                      type: object
                                    nullValue:
                                      type: object
                                      properties:
                                        dummyField:
                                          type: string
                                          description: Dummy field to make the type not empty
                                  description: |-
                                    equality (==, !=, ∈) defined for all types
                                     comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                     
                                endExclusive:
                                  type: object
                                  properties:
                                    boolValue:
                                      type: boolean
                                    numberValue:
                                      type: number
                                    stringValue:
                                      type: string
                                    timestampValue:
                                      type: object
                                    nullValue:
                                      type: object
                                      properties:
                                        dummyField:
                                          type: string
                                          description: Dummy field to make the type not empty
                                  description: |-
                                    equality (==, !=, ∈) defined for all types
                                     comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                     
                              description: The value must be in the range
                          required:
                            - attribute
                          description: >-
                            A criterion for an attribute (typically a table
                            column)
                  description: The filter criteria
                expression:
                  type: object
                  properties:
                    ref:
                      type: string
                    not:
                      type: object
                      description: >-
                        A boolean expression with leaf nodes that reference
                        criteria elements
                         
                    and:
                      type: object
                      properties:
                        operands:
                          type: array
                          items:
                            type: object
                          description: >-
                            A boolean expression with leaf nodes that reference
                            criteria elements
                             
                      required:
                        - operands
                    or:
                      type: object
                      properties:
                        operands:
                          type: array
                          items:
                            type: object
                          description: >-
                            A boolean expression with leaf nodes that reference
                            criteria elements
                             
                      required:
                        - operands
                  description: The filter expressions
              required:
                - criteria
                - expression
              description: Dimensions in the assignment filter to filter the calculation on
            exposureKey:
              type: string
              description: Column name that contains the variant.
            groups:
              type: array
              items:
                type: object
                properties:
                  group:
                    type: string
                    description: Name to map the variant to.
                  variantKey:
                    type: string
                    description: Name of the variant to map.
                required:
                  - group
                  - variantKey
              description: >-
                Mapping between variant and a user-defined group. If no groups
                are given, a single group called
                 "NO_GROUP" will be returned.
            splitDimensions:
              type: array
              items:
                type: string
              description: Dimensions to split the results on.
            exposureFilter:
              type: object
              properties:
                factTable:
                  type: string
                  description: Resource name of a fact table.
                filter:
                  type: object
                  properties:
                    criteria:
                      type: array
                      items:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            attribute:
                              type: object
                              properties:
                                attribute:
                                  type: string
                                  description: The name of the attribute
                                eqRule:
                                  type: object
                                  properties:
                                    value:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                  required:
                                    - value
                                  description: The value must be equal to the criterion
                                setRule:
                                  type: object
                                  properties:
                                    values:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          boolValue:
                                            type: boolean
                                          numberValue:
                                            type: number
                                          stringValue:
                                            type: string
                                          timestampValue:
                                            type: object
                                          nullValue:
                                            type: object
                                            properties:
                                              dummyField:
                                                type: string
                                                description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                  required:
                                    - values
                                  description: The value must be in the set of values
                                rangeRule:
                                  type: object
                                  properties:
                                    startInclusive:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                    startExclusive:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                    endInclusive:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                    endExclusive:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                  description: The value must be in the range
                              required:
                                - attribute
                              description: >-
                                A criterion for an attribute (typically a table
                                column)
                      description: The filter criteria
                    expression:
                      type: object
                      properties:
                        ref:
                          type: string
                        not:
                          type: object
                          description: >-
                            A boolean expression with leaf nodes that reference
                            criteria elements
                             
                        and:
                          type: object
                          properties:
                            operands:
                              type: array
                              items:
                                type: object
                              description: >-
                                A boolean expression with leaf nodes that
                                reference criteria elements
                                 
                          required:
                            - operands
                        or:
                          type: object
                          properties:
                            operands:
                              type: array
                              items:
                                type: object
                              description: >-
                                A boolean expression with leaf nodes that
                                reference criteria elements
                                 
                          required:
                            - operands
                      description: The filter expressions
                  required:
                    - criteria
                    - expression
                  description: >-
                    A filter to apply to the fact table used for exposure
                    filtering
                displayName:
                  type: string
                  description: >-
                    Readable name for the filter, used when viewing the results.
                    If not set
                     filters will be named filter-1, filter-2 etc according to the order they
                     are configured.
              required:
                - factTable
              description: >-
                A filter to used to narrow down exposures also called custom
                exposure. Deprecated and replaced by
                 `filters`.
            filters:
              type: array
              items:
                type: object
                properties:
                  factTable:
                    type: string
                    description: Resource name of a fact table.
                  filter:
                    type: object
                    properties:
                      criteria:
                        type: array
                        items:
                          type: object
                          additionalProperties:
                            type: object
                            properties:
                              attribute:
                                type: object
                                properties:
                                  attribute:
                                    type: string
                                    description: The name of the attribute
                                  eqRule:
                                    type: object
                                    properties:
                                      value:
                                        type: object
                                        properties:
                                          boolValue:
                                            type: boolean
                                          numberValue:
                                            type: number
                                          stringValue:
                                            type: string
                                          timestampValue:
                                            type: object
                                          nullValue:
                                            type: object
                                            properties:
                                              dummyField:
                                                type: string
                                                description: Dummy field to make the type not empty
[...]
